Bug 589833 (perl-HTTP-Lite)

Summary: Review Request: perl-HTTP-Lite - Lightweight HTTP implementation
Product: [Fedora] Fedora Reporter: Iain Arnell <iarnell>
Component: Package ReviewAssignee: Chris Weyl <cweyl>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: fedora-package-review, notting, radoslaw.lisowski
Target Milestone: ---Flags: cweyl: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://search.cpan.org/dist/HTTP-Lite/
Whiteboard:
Fixed In Version: perl-HTTP-Lite-2.2-1.fc12 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-05-28 17:57:10 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 591812    

Description Iain Arnell 2010-05-07 03:25:32 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-HTTP-Lite.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-HTTP-Lite-2.2-1.fc14.src.rpm

Description:
HTTP::Lite is a stand-alone lightweight HTTP/1.1 implementation for perl. It is
not intended as a replacement for the fully-features LWP module. Instead, it is
intended for use in situations where it is desirable to install the minimal
number of modules to achieve HTTP support, or where LWP is not a good candidate
due to CPU overhead, such as slower processors. HTTP::Lite is also
significantly faster than LWP.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2170426

*rt-0.10_01

Comment 1 Radek Lisowski 2010-05-07 21:52:00 UTC
Since I'm not a packager yet, and looking for sponsorship, I've made some review on my own (not commiting of course):

$ rpmlint perl-HTTP-Lite-2.2-1.fc14.src.rpm perl-HTTP-Lite.spec 
1 packages and 1 specfiles checked; 0 errors, 0 warnings.

No errors neither warnings - ok

Package name, spec file name - everything looks ok, and fits guidelines.

If it's about license, I've got a little doubt. 
In spec file there is: "GPL+ or Artistic", which is ok, and fits fedora approved licenses.
However on the homepage there is "Perl (Artistic and GPL)", and it's about "and" instead of "or". In LICENSE file included to package, there isn't clearly specified which naming is right, although they're both included and it's more a Notice than an error.

More about spec file - it's legible, and written in English.

MD5SUM from src.rpm:	149651593132db8f3b06349a67cab77f  HTTP-Lite-2.2.tar.gz
MD5SUM from upstream:	149651593132db8f3b06349a67cab77f  HTTP-Lite-2.2.tar.gz

Builds well, according to Koji logs, and tested on my system.

It's not depending on arch, so any issues connected with it doesn't affect on it.

Comment 2 Iain Arnell 2010-05-08 07:14:37 UTC
(In reply to comment #1)
> If it's about license, I've got a little doubt. 
> In spec file there is: "GPL+ or Artistic", which is ok, and fits fedora
> approved licenses.
> However on the homepage there is "Perl (Artistic and GPL)", and it's about
> "and" instead of "or". In LICENSE file included to package, there isn't clearly
> specified which naming is right, although they're both included and it's more a
> Notice than an error.

This is covered in Licensing Guidelines[1] and more explicitly in Perl Packaging Guidelines[2]. It may seem odd, but it's correct - it's just one of those little quirks.

[1] https://fedoraproject.org/wiki/Packaging/LicensingGuidelines#Dual_Licensing_Scenarios
[2] https://fedoraproject.org/wiki/Packaging:Perl#License_tag

Comment 3 Chris Weyl 2010-05-08 19:21:07 UTC
Another good, clean package.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2170426

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Latest version (2.2) is being packaged.

Source tarballs match upstream (sha1sum):
a4f374372352fb16cacaeacfb88b7969df1cffee HTTP-Lite-2.2.tar.gz
a4f374372352fb16cacaeacfb88b7969df1cffee HTTP-Lite-2.2.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-HTTP-Lite-2.2-1.fc14.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-HTTP-Lite-2.2-1.fc14.noarch.rpm
perl(HTTP::Lite) = 2.2
perl-HTTP-Lite = 2.2-1.fc14
====> requires for perl-HTTP-Lite-2.2-1.fc14.noarch.rpm
perl >= 0:5.005
perl(Errno)  
perl(Fcntl)  
perl(:MODULE_COMPAT_5.10.1)  
perl(Socket) >= 1.3
perl(strict)  
perl(vars)  

=====> perl-HTTP-Lite-2.2-1.fc14.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-HTTP-Lite-2.2-1.fc14.src.rpm
====> requires for perl-HTTP-Lite-2.2-1.fc14.src.rpm
perl(ExtUtils::MakeMaker)  
perl(Test::CPAN::Meta)  
perl(Test::MinimumVersion)  
perl(Test::Pod)  

APPROVED

Comment 4 Iain Arnell 2010-05-09 07:02:55 UTC
New Package CVS Request
=======================
Package Name: perl-HTTP-Lite
Short Description: Lightweight HTTP implementation
Owners: iarnell
Branches: F-11 F-12 F-13
InitialCC: perl-sig

Comment 5 Kevin Fenzi 2010-05-11 04:45:19 UTC
CVS done (by process-cvs-requests.py).

Comment 6 Fedora Update System 2010-05-13 07:31:16 UTC
perl-HTTP-Lite-2.2-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-HTTP-Lite-2.2-1.fc12

Comment 7 Fedora Update System 2010-05-13 07:31:35 UTC
perl-HTTP-Lite-2.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-HTTP-Lite-2.2-1.fc13

Comment 8 Fedora Update System 2010-05-13 07:31:40 UTC
perl-HTTP-Lite-2.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-HTTP-Lite-2.2-1.fc11

Comment 9 Fedora Update System 2010-05-13 19:27:47 UTC
perl-HTTP-Lite-2.2-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-HTTP-Lite'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-HTTP-Lite-2.2-1.fc11

Comment 10 Fedora Update System 2010-05-13 19:32:08 UTC
perl-HTTP-Lite-2.2-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-HTTP-Lite'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-HTTP-Lite-2.2-1.fc12

Comment 11 Fedora Update System 2010-05-13 19:34:16 UTC
perl-HTTP-Lite-2.2-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-HTTP-Lite'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-HTTP-Lite-2.2-1.fc13

Comment 12 Fedora Update System 2010-05-28 17:57:06 UTC
perl-HTTP-Lite-2.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-05-28 17:57:29 UTC
perl-HTTP-Lite-2.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-05-28 18:06:02 UTC
perl-HTTP-Lite-2.2-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.